Bug 89430 - [g965][bisected] arb_copy_image-targets gl_texture* tests fail
Summary: [g965][bisected] arb_copy_image-targets gl_texture* tests fail
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: 10.5
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Kenneth Graunke
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-04 21:54 UTC by Mark Janes
Modified: 2015-03-06 17:58 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Janes 2015-03-04 21:54:24 UTC
The following g965 failures occur on the 10.5 branch.  They were introduced by 
86aaa10ce7bd8e919ba5c7517a4b6b975229f83c - i965: Prefer Meta over the BLT for BlitFramebuffer.

piglit.spec.arb_copy_image.arb_copy_image-targets gl_texture_2d 32 32 1 gl_texture_1d_array 32 1 16 11 2 0 5 0 7 14 1 1

piglit.spec.arb_copy_image.arb_copy_image-targets gl_texture_1d_array 32 1 12 gl_texture_1d_array 32 1 16 11 0 3 5 0 7 14 1 8

piglit.spec.arb_copy_image.arb_copy_image-targets gl_texture_1d 32 1 1 gl_texture_1d_array 32 1 12 11 0 0 5 0 9 14 1 1

piglit.spec.arb_copy_image.arb_copy_image-targets gl_texture_cube_map 32 32 6 gl_texture_1d_array 32 1 16 11 2 3 5 0 7 14 1 2

piglit.spec.arb_copy_image.arb_copy_image-targets gl_texture_2d_array 32 32 15 gl_texture_1d_array 32 1 16 11 2 5 5 0 7 14 1 7
Comment 1 Mark Janes 2015-03-04 21:55:03 UTC
BTW, these failures do not occur on master.
Comment 2 Mark Janes 2015-03-04 22:01:17 UTC
I omitted the following test in my initial write-up:

piglit.spec.arb_copy_image.arb_copy_image-targets gl_texture_rectangle 32 32 1 gl_texture_1d_array 32 1 16 11 2 0 5 0 7 14 1 1
Comment 4 Kenneth Graunke 2015-03-06 10:23:32 UTC
Fixed in master with:

commit aa0705c06c03d2b882ac7b185ed123bc8a10d716
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Wed Mar 4 18:14:31 2015 -0800

    i965: Split Gen4-5 BlitFramebuffer code; prefer BLT over Meta.

    Cc: "10.5" <mesa-stable@lists.freedesktop.org>
Comment 5 Mark Janes 2015-03-06 17:58:59 UTC
At what point does this get merged into 10.5? The release is coming up, right?


bug/show.html.tmpl processed on Mar 26, 2017 at 03:26:06.
(provided by the Example extension).